/******************************************************************************
 * utils.h
 *
 * GDSAT
 *
 ******************************************************************************
 * Copyright (C) 2013 Benjamin Niedermann <niedermann@kit.edu>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef _UTILS_H_
#define _UTILS_H_


using namespace std;

void readFile(Graph & graph,list<pair<int,int> >& stNodes, istream & input);
void createGraph(Graph & graph,int argc, const char* argv[]);
void createGraph(Graph & graph, string & input);
void normalize(Graph & graph, int s, int t);


#endif



